/*
_TestFlag640                     cseg     0000691D 00000021
_TestFlag64not0                  cseg     0000693E 00000021
BuildBlitList1                   cseg     0000695F 00000017
BuildBlitList2                   cseg     00006976 00000017
_EraseBoth                       cseg     0000698D 0000001D
_FreeBoth                        cseg     000069AA 0000001D
_BlitBoth                        cseg     000069C7 0000001D
sub_cseg_69E4                    cseg     000069E4 0000001D
CmdStopUpdate                    cseg     00006A01 00000028
CmdStartUpdate                   cseg     00006A29 00000028
CmdForceUpdate                   cseg     00006A51 0000002C
subStopUpdate                    cseg     00006A7D 0000001E
subStartUpdate                   cseg     00006A9B 0000001E
*/


#include dis_0307_obj.h

u16 testflag_640(view_table *v)
{
	if ((v->flags & 0x51) == 0x51)	// 0101 0001b
		return 1;
	else
		return 0;
}

u16 testflag_64_not0(view_table *v)
{
	if ((v->flags & 0x51) == 0x41)	// 0101 0001b
		return 1;
	else
		return 0;
}

void build_blit_list_1()
{
	build_blit_list(testflag_640(), &sprite_list_head_1);
}

void build_blit_list_1()
{
	build_blit_list(testflag_640(), &sprite_list_head_1);
}

void erase_both()
{
	erase_all(&sprite_list_head_1);
	erase_all(&sprite_list_head_2);	
}

void free_both()
{
	free_list(&sprite_list_head_1);
	free_list(&sprite_list_head_2);	
}

void blit_both()
{
	blit_all(&sprite_list_head_1);
	blit_all(&sprite_list_head_2);	
}

void check_move_both()
{
	check_move(&sprite_list_head_1);
	check_move(&sprite_list_head_2);	
}

void cmd_stop_update(u8 *c)
{
	stop_update(vt_start + (*(c++)) * sizeof(view_table));
	return c;
}

void cmd_start_update(u8 *c)
{
	start_update(vt_start + (*(c++)) * sizeof(view_table));
	return c;
}

// note.. force updates ALL objects
void cmd_force_update(u8 *c)
{
	c++;
	erase_both();
	blit_both();
	check_move_both();
	return c;
}

void stop_update(view *v)
{
	si = v;
	if ( (si->flags) & 0x10 != 0 )
	{
		erase_both();
		si->flags = si->flags & 0xFFEF;
		blit_both();
	}
}

void start_update(view *v)
{
	si = v;
	if ( (si->flags) & 0x10 == 0 )
	{
		erase_both();
		si->flags = si->flags | 0x10;
		blit_both();
	}
}







